### Function

# Gdk keyval_to_upper

since: 4.0

#### Declaration [src]

    guint
    gdk_keyval_to_upper (
      guint keyval
    )

#### Description [src]

Converts a key value to upper case, if applicable.

Available since: 4.0

#### Parameters

`keyval`

  Type: `guint`

  A key value.

#### Return value

Type: `guint`

The upper case form of `keyval`, or `keyval` itself if it is already in upper case or it is not subject to case conversion.